Social Fetch
Spotify

Get Spotify album

Get a Spotify album by id or album URL.

Operation

GET/v1/spotify/album

Headers

x-api-keystringrequired(header)

API key (`sfk_...`)

Parameters

albumIdstring(query)

Optional Spotify album id for the request.

min 1 chars · max 128 chars

urlstring(query)

Optional Spotify album URL for the request.

min 1 chars · max 4096 chars

Response fields

data
objectrequired

Endpoint-specific response payload.

datalookupStatus
stringrequired

Whether the album was found or not found.

one of: found, not_found

dataalbum
objectrequirednullable

Album details when available.

dataalbumplatform
stringrequired

Platform for this album.

one of: spotify

dataalbumalbumId
stringrequired

Stable Spotify album identifier.

min 1 chars

dataalbumtitle
stringrequired

Album title.

min 1 chars

dataalbumalbumType
stringrequired

Release type (album, single, compilation, etc.).

one of: album, single, compilation, ep, unknown

dataalbumlabel
stringrequirednullable

Record label when available.

dataalbumreleaseDate
stringrequired

Release date as an ISO 8601 string when available.

min 1 chars

dataalbumreleaseDatePrecision
string

Precision of the release date when available.

one of: day, month, year

dataalbumcoverArtUrl
stringrequirednullable

Best available square cover image URL when available.

dataalbumalbumUrl
stringrequired

Canonical public Spotify album URL.

min 1 chars

dataalbumplayable
booleanrequired

Whether the album is playable on Spotify.

dataalbumisPreRelease
boolean

Whether the album is marked as a pre-release.

dataalbumcopyright
arrayrequired

Copyright lines when available.

dataalbumcopyright[]text
stringrequired

Copyright notice text.

min 1 chars

dataalbumcopyright[]type
stringrequired

Copyright type code (e.g. C or P).

min 1 chars

dataalbumartists
arrayrequired

Album artists when available.

dataalbumartists[]artistId
stringrequired

Spotify artist id.

min 1 chars

dataalbumartists[]displayName
stringrequired

Artist display name on this album.

min 1 chars

dataalbumartists[]profileUrl
stringrequired

Canonical public Spotify artist profile URL.

min 1 chars

dataalbumartists[]avatarUrl
stringnullable

Best available square avatar image URL when available.

dataalbumtrackCount
integerrequired

Number of tracks on the album.

≥ 0

dataalbumtracks
arrayrequired

Album tracks in track order.

dataalbumtracks[]trackId
stringrequired

Stable Spotify track identifier.

min 1 chars

dataalbumtracks[]title
stringrequired

Track title.

min 1 chars

dataalbumtracks[]trackNumber
integerrequired

Track number on the disc.

≥ 0

dataalbumtracks[]discNumber
integerrequired

Disc number for this track.

≥ 0

dataalbumtracks[]durationMs
integerrequired

Track duration in milliseconds.

≥ 0

dataalbumtracks[]explicit
booleanrequired

Whether the track is marked explicit.

dataalbumtracks[]playCount
integer

Reported play count when available.

≥ 0

dataalbumtracks[]artists
arrayrequired

Artists credited on this track.

dataalbumtracks[]artists[]artistId
stringrequired

Spotify artist id for this track.

min 1 chars

dataalbumtracks[]artists[]displayName
stringrequired

Artist display name on this track.

min 1 chars

meta
objectrequired

Metadata describing the request and billing outcome.

metarequestId
stringrequired

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integerrequired

Credits charged for this request.

≥ 0

metaversion
stringrequired

Public API version that served the response.

one of: v1

Code example

Responses

Lookup result. Check `data.lookupStatus` for `found` or `not_found`.

Error codes

bad_requestinsufficient_creditsinternal_errorlookup_failedtemporarily_unavailableunauthorized

On this page